DirectMail.mf = DirectMail.mf || {};
var fr = function(n, ord
) {
  if (ord) return (n == 1) ? 'one' : 'other';
  return (n >= 0 && n < 2) ? 'one' : 'other';
};
var plural = function (value, offset, lcfunc, data, isOrdinal) {
  if ({}.hasOwnProperty.call(data, value)) return data[value];
  if (offset) value -= offset;
  var key = lcfunc(value, isOrdinal);
  return key in data ? data[key] : data.other;
};
var fmt = {
  number: function (value, lc, arg
  ) {
  
    var a = (arg && arg.split(':')) || [];
    var opt = {
      integer: { maximumFractionDigits: 0 },
      percent: { style: 'percent' },
      currency: {
        style: 'currency',
        currency: (a[1] && a[1].trim()) || "USD",
        minimumFractionDigits: 2,
        maximumFractionDigits: 2
      }
    };
    return new Intl.NumberFormat(lc, opt[a[0]] || {}).format(value);
  
  }
};

DirectMail.mf.HistorySummary = {
  SCHEDULE_DELIVERY: function(d) { return "Programmer la distribution"; },
  RESCHEDULE_DELIVERY: function(d) { return "Reprogrammer la distribution"; },
  CANCELLING: function(d) { return "Annulation…"; },
  CANCEL_DELIVERY: function(d) { return "Annuler la distribution"; },
  UPDATE_ERROR_DETAILS: function(d) { return "Une erreur s'est produite lors de la mise à jour de ce rapport : " + d.error_description; },
  UPDATE_ERROR: function(d) { return "Une erreur s'est produite lors de la mise à jour de ce rapport."; },
  POPOVER_BOUNCES: function(d) { return d.value + " rejets (" + d.ratio + " des destinataires)"; },
  POPOVER_SPAM: function(d) { return d.value + " signalements de spam (" + d.ratio + " des e-mails distribués)"; },
  POPOVER_UNSUBSCRIBES: function(d) { return d.value + " désabonnements (" + d.ratio + " des e-mails distribués)"; },
  TOOLTIP_NUM_CLICKED_LINK: function(d) { return plural(d.num_clicked, 0, fr, { one: "1 destinataire a cliqué sur ce lien", other: fmt.number(d.num_clicked, "fr", (" integer").trim()) + " destinataires ont cliqué sur ce lien" }); },
  POPOVER_OPENS: function(d) { return d.number_opened + " ouvertures (" + d.open_rate + " des e-mails distribués, " + plural(d.number_of_views, 0, fr, { one: "1 ouverture au total", other: fmt.number(d.number_of_views, "fr", (" integer").trim()) + " ouvertures au total" }) + ")"; },
  POPOVER_CLICKS: function(d) { return d.number_clicked + " clics (" + d.click_rate + " des e-mails distribués, " + plural(d.number_of_clicks, 0, fr, { one: "1 clic au total", other: fmt.number(d.number_of_clicks, "fr", (" integer").trim()) + " clics au total" }) + ")"; },
  MPP_OPEN_RATE: function(d) { return "Le taux d’ouverture réelle se trouve dans une fourchette d’estimation allant de " + d.min_rate + " à " + d.max_rate + "."; },
  MPP_EXPLAINER: function(d) { return "Certains destinataires utilisent la fonction Protection de la confidentialité dans Mail d’Apple. Cela signifie que le taux d’ouverture réelle peut être inférieur à " + d.rate + "."; },
  POLL_RESPONDENTS: function(d) { return fmt.number(d.count, "fr", (" integer").trim()) + " personnes interrogées (" + d.formatted_rate + ")"; },
  POLL_TOP_RESPONSE: function(d) { return "Réponse la plus fréquente : " + d.value; },
  POLL_AVERAGE_RESPONSE: function(d) { return "Réponse moyenne : " + d.value; },
  POLL_NO_RESPONSE: function(d) { return "Aucune réponse"; },
  SHOW_LESS: function(d) { return "Afficher moins"; },
  SHOW_MORE: function(d) { return "Afficher plus"; },
  POLL_RESPONSE_COUNT: function(d) { return fmt.number(d.count, "fr", (" integer").trim()) + " (" + d.formatted_rate + ")"; },
  POLL_NAME: function(d) { return "Enquête : " + d.name; }
}
;
if ( fmt !== undefined ) {
    if ( window.DirectMail_nativeController !== undefined && window.DirectMail_nativeController.formatNumber !== undefined ) {
        fmt.number = function(v,lc,p) {
            return window.DirectMail_nativeController.formatNumber(v,p);
        };
    }
    else {
        var fmt_number = fmt.number;
        fmt.number = function(v,lc,p) {
            return fmt_number(v,navigator.language,p);
        };
    }
}
